Bug 139371 - smartd & smartctl too noicy
smartd & smartctl too noicy
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: smartmontools (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-15 12:01 EST by jouni
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-16 07:04:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jouni 2004-11-15 12:01:47 EST
Running smartd or smartctl prints to system log lots of these:

"program smartd is using a deprecated SCSI ioctl, please convert it to
SG_IO"

  -kernel-utils-2.4-13.1.39
  -kernel-2.6.9-1.667
Comment 1 jouni 2005-01-11 11:48:13 EST
Increasing Priority.

With new 2.6.10-1.737_FC3 kernel the problem became worse.  I can not
used smartd at all:

/usr/sbin/smartctl /dev/sda -d 3ware,0 -H -A
smartctl version 5.33 [i386-redhat-linux-gnu] Copyright (C) 2002-4
Bruce Allen
Home page is http://smartmontools.sourceforge.net/

SMART support is: Ambiguous - ATA IDENTIFY DEVICE words 82-83 don't
show if SMART supported.
A mandatory SMART command failed: exiting. To continue, add one or
more '-T permissive' options.

On system log:
Jan 11 18:44:47 monster kernel: program smartctl is using a deprecated
SCSI ioctl, please convert it to SG_IO
Jan 11 18:44:47 monster kernel: 3w-xxxx: SCSI_IOCTL_SEND_COMMAND
deprecated, please update your 3ware tools.
Comment 2 Tomas Mraz 2005-11-16 07:04:09 EST
Use 
/usr/sbin/smartctl /dev/twe0 -d 3ware,0 -H -A

See this thread:
http://sourceforge.net/mailarchive/forum.php?thread_id=8834747&forum_id=12495

Note You need to log in before you can comment on or make changes to this bug.